Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
1337 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Logiciels

  [Postfix] Ajout d'un disclaimer sans altermime

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[Postfix] Ajout d'un disclaimer sans altermime

n°1251214
plag
Posté le 20-11-2010 à 18:23:20  profilanswer
 

Hello
 
Je voudrais ajouter un texte à la fin de chaque mail, un dislaimer/footer.
Pour ce faire, j'ai configuré postfix comme sur la doc
 
http://www.postfix.org/FILTER_README.html

Code :
  1. /etc/postfix/master.cf:
  2.   # =============================================================
  3.   # service type  private unpriv  chroot  wakeup  maxproc command
  4.   #               (yes)   (yes)   (yes)   (never) (100)
  5.   # =============================================================
  6.   smtp      inet  ...other stuff here, do not change...   smtpd
  7.         -o content_filter=filter:dummy
  8.   filter    unix  -       n       n       -       10      pipe
  9.     flags=Rq user=filter
  10.     argv=/path/to/script -f ${sender} -- ${recipient}


 
Pour l'instant je  ne comprends pas comment me servir du script d'exemple, du moins comment manipuler le contenu du mail

Citation :


 1 #!/bin/sh
 2  
 3 # Simple shell-based filter. It is meant to be invoked as follows:
 4 #       /path/to/script -f sender recipients...
 5  
 6 # Localize these. The -G option does nothing before Postfix 2.3.
 7 INSPECT_DIR=/var/spool/filter
 8 SENDMAIL="/usr/sbin/sendmail -G -i" # NEVER NEVER NEVER use "-t" here.
 9  
10 # Exit codes from <sysexits.h>
11 EX_TEMPFAIL=75
12 EX_UNAVAILABLE=69
13  
14 # Clean up when done or when aborting.
15 trap "rm -f in.$$" 0 1 2 3 15
16  
17 # Start processing.
18 cd $INSPECT_DIR || {
19     echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
20  
21 cat >in.$$ || {  
22     echo Cannot save mail to file; exit $EX_TEMPFAIL; }
23  
24 # Specify your content filter here.
25 # filter <in.$$ || {
26 #   echo Message content rejected; exit $EX_UNAVAILABLE; }
27  
28 $SENDMAIL "$@" <in.$$
29  
30 exit $?


 
Sur le net, je ne vois que des post avec l'utilisation de altermime, mais ca doit pas etre bien sorcier d'ajouter un pied de mail sans altermime quand meme, non ?
 
 
Merci
Plag

mood
Publicité
Posté le 20-11-2010 à 18:23:20  profilanswer
 

n°1251264
e_esprit
Posté le 21-11-2010 à 12:47:43  profilanswer
 

Ben modifier un mail en texte brut sans pièce jointe c'est pas sorcier.
 
Par contre pour tous les autres, c'est une autre histoire, il faut gérer le multipart, gérer les mails signés/chiffrés, ...
 
Pourquoi ne veux-tu pas de altermime, qui semble faire ce que tu souhaites ?


---------------
Ce n'est point ma façon de penser qui a fait mon malheur, c'est celle des autres.
n°1251295
plag
Posté le 21-11-2010 à 18:36:58  profilanswer
 

"Ben modifier un mail en texte brut sans pièce jointe c'est pas sorcier. "
Mais encore ? Aurais tu un exemple simple histoire que je comprenne.
 
Je ne veux pas l'utiliser quand je voudrais comprendre le mecanisme sans le cacher par altermime
 
Plag

n°1251305
e_esprit
Posté le 21-11-2010 à 19:09:32  profilanswer
 

Ben dans le script, à la ligne 25 tu remplaces "filter" par le chemin vers ton script.
Enfin l'exemple que tu prends est pas très bon est passage, c'est pas un squelette de filtre pour modifier le contenu d'un message mais pour décider si tu l'acceptes ou pas (pas de modification).
 
Pour faire ce que tu veux, il te suffirait de faire un :

Code :
  1. echo "Le disclaimer que je veux mettre automatiquement dans tous les messages." >> in.$$


Au lieu des lignes 24-26.
 
Mais bon, comme dit précédemment ça ne fonctionnera que pour les messages simples, en texte brut seulement, ce qui représente
une très faible partie des mails envoyés à l'heure actuelle.


---------------
Ce n'est point ma façon de penser qui a fait mon malheur, c'est celle des autres.
n°1251382
plag
Posté le 22-11-2010 à 10:17:50  profilanswer
 

Ah ok
 
donc pour l'ajouter en bas d'un mail avec PJ il me faut changé le type mime ?

n°1252245
plag
Posté le 25-11-2010 à 15:21:59  profilanswer
 

Visiblement http://www.mefilter.com/ peut le faire ...
Je vais regardé a ca
 
Merci


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Logiciels

  [Postfix] Ajout d'un disclaimer sans altermime

 

Sujets relatifs
Installer postfix sous Gentoo, petit soucis de dépendanceProblème avec squirrelmail + courier-imap + postfix
[Postfix] Gestion d'un domaine sur 2 serveursPb ajout de machine dans domaine samba
Exemple d'install openldap + postfix + samba PDCProbleme envoi/recepetion mail vers l'exterieur avec Postfix
Postfix: warning: bogus file name: incomingServeur postfix spammeur
Postfix, dovecot et LDAP : impossible d'envoyer des mails vers gmailPostfix et SASL sur MYSQL
Plus de sujets relatifs à : [Postfix] Ajout d'un disclaimer sans altermime


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR